Screen locking broken because of AutostartCondition

Bug #1120126 reported by Marc Deslauriers on 2013-02-09
262
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnome-screensaver (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

In Quantal in Raring, gnome-screensaver no longer auto starts in the Unity session because the .desktop file contains the following line:

AutostartCondition=GNOME3 if-session gnome-fallback

This results in screen locking being broken.

Steps to reproduce:

1- Reboot
2- Login to session
3- Wait 10 minutes

Expected results:
- gnome-screensaver process autostarted in session
- screen locks after 10 minutes

Actual results:
- gnome-screensaver process doesn't get autostarted
- screen only blanks after 10 minutes, and doesn't lock.

Manually locking the screen results in the gnome-screensaver process being spawned, which fixed screen locking for the remainder of the session.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: gnome-screensaver 3.6.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.5.0-23.35-generic 3.5.7.2
Uname: Linux 3.5.0-23-generic x86_64
ApportVersion: 2.6.1-0ubuntu10
Architecture: amd64
Date: Sat Feb 9 02:10:03 2013
GnomeSessionIdleInhibited: No
GnomeSessionInhibitors: None
GsettingsGnomeSession:
 org.gnome.desktop.session idle-delay uint32 600
 org.gnome.desktop.session session-name 'ubuntu'
InstallationDate: Installed on 2012-11-13 (87 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
SourcePackage: gnome-screensaver
UpgradeStatus: No upgrade log present (probably fresh install)

Marc Deslauriers (mdeslaur) wrote :
Marc Deslauriers (mdeslaur) wrote :

This is CVE-2013-1050

Changed in gnome-screensaver (Ubuntu Quantal):
status: New → Confirmed
Changed in gnome-screensaver (Ubuntu Raring):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-screensaver - 3.6.1-0ubuntu3

---------------
gnome-screensaver (3.6.1-0ubuntu3) raring; urgency=low

  * SECURITY UPDATE: broken screen locking with Unity desktop (LP: #1120126)
    - debian/patches/19_autostart_in_unity.patch: change AutostartCondition
      so gnome-screensaver gets started properly in the Unity session also.
    - CVE-2013-1050
 -- Marc Deslauriers <email address hidden> Sat, 09 Feb 2013 09:37:59 -0500

Changed in gnome-screensaver (Ubuntu Raring):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-screensaver - 3.6.0-0ubuntu2.1

---------------
gnome-screensaver (3.6.0-0ubuntu2.1) quantal-security; urgency=low

  * SECURITY UPDATE: broken screen locking with Unity desktop (LP: #1120126)
    - debian/patches/19_autostart_in_unity.patch: change AutostartCondition
      so gnome-screensaver gets started properly in the Unity session also.
    - CVE-2013-1050
 -- Marc Deslauriers <email address hidden> Sat, 09 Feb 2013 09:44:56 -0500

Changed in gnome-screensaver (Ubuntu Quantal):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers